<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <title>Home</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>
<body>
<div class="container">

    <div class="row">
        <h2>Add New Bid</h2>
    </div>

    <div class="form-group w-25">
        <form action="#" th:action="@{/bidList/validate}" th:object="${bidList}" method="post" class="form-horizontal"
              style="width: 100%">
            <input type="hidden" th:field="*{bidListId}"/>
            <div class="form-group mb-4">
                <label for="account">Account</label>
                <input type="text" th:field="*{account}" class="form-control col-4 col-xs-3"
                       placeholder="Account" name="account" id="account">
                <div class="text-danger" th:if="${#fields.hasErrors('account')}"
                     th:errors="*{account}">Wrong email
                </div>
            </div>
            <div class="form-group mb-4">
                <label for="type">Type</label>
                <input type="text" th:field="*{type}" class="form-control col-4" placeholder="Type" name="type"
                       id="type">
                <div class="text-danger" th:if="${#fields.hasErrors('type')}"
                     th:errors="*{type}">Wrong email
                </div>
            </div>
            <div class="form-group mb-4">
                <label for="bidquantity">Bid quantity</label>
                <input type="number" step="0.01" th:field="*{bidQuantity}" class="form-control col-4"
                       placeholder="Bid quantity" name="bidquantity" id="bidquantity">
                <div class="text-danger" th:if="${#fields.hasErrors('bidQuantity')}"
                     th:errors="*{bidQuantity}">Wrong email
                </div>
            </div>
            <button type="submit" class="btn btn-primary">Save</button>
            <a class="btn btn-danger" th:href="@{/bidList/list}">Cancel</a>
        </form>
    </div>

</div>
</body>
</html>